Subject: Re: [PATCH] [IPROUTE2] Add support for moving links between network namespaces

From: Stephen Hemminger <[email-masked]>
Date: Wed, 12 Sep 2007 16:13:13 +0200

On Wed, 12 Sep 2007 08:06:08 -0600
[email-masked] (Eric W. Biederman) wrote:

> Stephen Hemminger <[email-masked]> writes:
> 
> > On Wed, 12 Sep 2007 07:05:42 -0600
> > [email-masked] (Eric W. Biederman) wrote:
> >
> >> 
> >> This adds support for setting the IFLA_NET_NS_PID attribute
> >> on links allowing them to be moved between network namespaces.
> >> 
> >> Signed-off-by: Eric W. Biederman <[email-masked]>
> >> ---
> >>  include/linux/if_link.h |    1 +
> >>  ip/iplink.c             |    9 +++++++++
> >>  2 files changed, 10 insertions(+), 0 deletions(-)
> >
> > Please don't mix header file updates with command changes.
> > As a first step, I always install standard kernel santized headers.
> 
> Sorry I didn't know.  Those changes are now in net-2.6.24
> so installing sanitized headers should not change anything.
> 
> In please feel free to drop the if_link.h part, and if you want
> I can resend that patch with those few lines deleted.
> 
> Eric

I take care of fixing patches (as long as they aren't really damaged).